/***************************************************************************
 *   Copyright (C) 2003 by Andr Stein                                     *
 *   stone@steinsoft.net                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef SWATERWAVE_H
#define SWATERWAVE_H

#define WATER_X_SIZE 64
#define WATER_Z_SIZE 64

#include "sbmptexture.h"
#include "sropewave.h"

/**
@author Andr Stein
*/
class SWaterWave
{
public:
	SWaterWave();
	~SWaterWave();
	void init();
	void update(float frametime);
	
	void moveCamera(float by);
protected:
	float waterHeight[WATER_X_SIZE][WATER_Z_SIZE];
	
	SBMPTexture waterTexture;
	sWave wave[2];
	float cameraRotation;

	void draw();
};

#endif
